Subject: Re: [PATCH] workaround for mpc52xx erratum #364 (serial may not be reset in break state)

From: Matt Sealey <[email-masked]>
Date: Mon, 03 Nov 2008 15:57:09 -0600

Grant Likely wrote:
> On Mon, Nov 3, 2008 at 12:32 PM, René Bürgel <[email-masked]> wrote:
>> Hi
>>
>> This patch is a workaround for bug #364 found in the MPC52xx processor.
>> The errata document can be found under
>> http://www.freescale.com/files/32bit/doc/errata/MPC5200E.pdf?fpsp=1&WT_TYPE=Errata&WT_VENDOR=FREESCALE&WT_FILE_FORMAT=pdf&WT_ASSET=Documentation
>>
> 
> This is an MPC5200 errata.  It doesn't exist on the MPC5200B.  The
> bugfix code should be enabled at runtime only if running on the
> original MPC5200.  You can use the value of the compatible property to
> determine whether or not to enable it.

I would hope not since the Efika uses mpc5200-psc and mpc5200-serial
as it's compatible properties (this is from before mpc5200-psc-uart
was defined), which would enable this bugfix across the board.

Until we have a decent update for the device tree here (it's starting
to cause some real trouble lately when people update stuff like this
and want to compare) the best way to check for the MPC5200 or MPC5200B
is to look at the PVR - you don't need the device tree for this, at
all.

Sometime this week I am going to go through the 5200b device tree in
the kernel source and make sure efika.forth follows it as best as I
can, and then make a release.. that won't fix anything for people who
don't run the script, however.

 > Optionally you can further
> reduce impact by checking if CONFIG_PPC_MPC5200_BUGFIX is defined.

I would much prefer this.

-- 
Matt Sealey <[email-masked]>
Genesi, Manager, Developer Relations